package com.ffii.fpsms.modules.master.service

import com.ffii.fpsms.modules.master.entity.Printer
import com.ffii.fpsms.modules.master.entity.PrinterRepository
import com.ffii.fpsms.modules.master.entity.projections.PrinterCombo
import org.springframework.stereotype.Service

@Service
open class PrinterService(
    val printerRepository: PrinterRepository
) {
    open fun findCombo(): List<PrinterCombo> {
        return printerRepository.findPrinterComboByDeletedFalse();
    }

    open fun findById(id: Long): Printer? {
        return printerRepository.findByIdAndDeletedFalse(id)
    }
}